#!/bin/bash

LOCALE_FILE=/etc/cobalt/locale
I18N_FILE=/etc/sysconfig/i18n

if [ -s $I18N_FILE ]; then
    . $I18N_FILE
    if [ -n "$LANG" ]; then
       [ "$LANG" = "C" ] && LANG="en_US"
       export LANG || unset LANG
    fi

    [ -n "$LC_CTYPE"     ] && export LC_CTYPE     || unset LC_CTYPE
    [ -n "$LC_COLLATE"   ] && export LC_COLLATE   || unset LC_COLLATE
    [ -n "$LC_MESSAGES"  ] && export LC_MESSAGES  || unset LC_MESSAGES
    [ -n "$LC_NUMERIC"   ] && export LC_NUMERIC   || unset LC_NUMERIC
    [ -n "$LC_MONETARY"  ] && export LC_MONETARY  || unset LC_MONETARY
    [ -n "$LC_TIME"      ] && export LC_TIME      || unset LC_TIME
    [ -n "$_XKB_CHARSET" ] && export _XKB_CHARSET || unset _XKB_CHARSET

    if [ -n "$LC_ALL" ]; then
       [ "$LC_ALL" = "C" ] && LC_ALL="en_US"
       export LC_ALL || unset LC_ALL
    fi

    if [ -n "$LINGUAS" ]; then
       [ "$LINGUAS" = "C" ] && LINGUAS="en_US"
       export LINGUAS || unset LINGUAS
    fi
fi

if [ -z "$LANGUAGE" ]; then
    if [ -f $LOCALE_FILE ]; then
        LANGUAGE=`cat $LOCALE_FILE`
    else
        LANGUAGE="en_US"
    fi
    export LANGUAGE || unset LANGUAGE
fi

